Get Payment Link
curl --request GET \
--url https://api.decodahealth.com/billing/payment-link/{patient_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/payment-link/{patient_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/payment-link/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"charges": [
{
"id": "<string>",
"description": "<string>",
"total": 123,
"totalOutstanding": 123,
"discountAmount": 123,
"externalId": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
],
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"gcsFileUrl": "<string>",
"sandbox": true,
"merchantAccount": {
"cardProcessingFee": 123,
"perTransactionFee": 123,
"inPersonCardProcessingFee": 123,
"inPersonPerTransactionFee": 123
},
"sessionKey": "<string>",
"payinConfigId": "<string>",
"fee": 0
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Payment Links
Get Payment Link
Return a patient’s outstanding charges as payment-link invoices, grouped by merchant account.
GET
/
billing
/
payment-link
/
{patient_id}
Get Payment Link
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Public merchant account information.
Show child attributes
Show child attributes
⌘I
